
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;

/**
 * @author tmerclub
 * @date 2020-11-20 15:47:32
 */
public class ShopCartItemDiscountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "已选满减项", requiredMode = Schema.RequiredMode.REQUIRED)
    private ChooseDiscountItemVO chooseDiscountItem;

    @Schema(description = "商品列表")
    private List<ShopCartItemVO> shopCartItems;

    @Schema(description = "主组合商品skuIds")
    private Set<Long> comboMainSkuIds;

    @Schema(description = "购物车商品活动类型：0无 1满减 2套餐")
    private Integer type;

    @Schema(description = "已选套餐项", requiredMode = Schema.RequiredMode.REQUIRED)
    private ChooseComboItemVo chooseComboItemVo;

    @Schema(description = "套餐加入时间")
    private Date comboJoinTime;


    public Set<Long> getComboMainSkuIds() {
        return comboMainSkuIds;
    }

    public void setComboMainSkuIds(Set<Long> comboMainSkuIds) {
        this.comboMainSkuIds = comboMainSkuIds;
    }

    public Date getComboJoinTime() {
        return comboJoinTime;
    }

    public void setComboJoinTime(Date comboJoinTime) {
        this.comboJoinTime = comboJoinTime;
    }

    public ChooseComboItemVo getChooseComboItemVo() {
        return chooseComboItemVo;
    }

    public void setChooseComboItemVo(ChooseComboItemVo chooseComboItemVo) {
        this.chooseComboItemVo = chooseComboItemVo;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public ChooseDiscountItemVO getChooseDiscountItem() {
        return chooseDiscountItem;
    }

    public void setChooseDiscountItem(ChooseDiscountItemVO chooseDiscountItem) {
        this.chooseDiscountItem = chooseDiscountItem;
    }

    public List<ShopCartItemVO> getShopCartItems() {
        return shopCartItems;
    }

    public void setShopCartItems(List<ShopCartItemVO> shopCartItems) {
        this.shopCartItems = shopCartItems;
    }

    @Override
    public String toString() {
        return "ShopCartItemDiscountVO{" +
                "chooseDiscountItem=" + chooseDiscountItem +
                ", shopCartItems=" + shopCartItems +
                ", comboSpuIds=" + comboMainSkuIds +
                ", type=" + type +
                ", chooseComboItemVo=" + chooseComboItemVo +
                ", comboJoinTime=" + comboJoinTime +
                '}';
    }
}
